<?php

require_once "../app/model/db.class.php";

if (!isset($_SESSION)) { session_start(); }

if ($_POST['accion']=='retornar_rol'){

    echo $_SESSION['rol'];
}
//--------------------------------------------

if ($_POST['accion']=='listado'){

    $id1=$_POST['id1'];
    $id2=$_POST['id2'];
   
    $tabla=$_POST['tabla'];
    $asign = new database();
    $asign->conectar();

    if ($tabla=="profesores"){
        $query=$asign->consulta("select cedula,nombres from ".$tabla." order by orden");
    }

    else{
        $query=$asign->consulta("select codigo,descripcion from ".$tabla." order by orden");
    }
    
    $asign->disconnect();

    $cadena="<table class='hovertable1' border='0' cellspacing='0' cellpadding='0' width='100%'>";

    while($row = $asign->fetch_assoc($query)) {

      $cadena.="<tr>";

      if ($tabla=="profesores"){
          $cadena.="<td align='center'> <img id='elem1'  class='confirmar' src='../imagenes/boton.png' onClick='mostrar_lista(\"".$id1."\",\"".$id2."\",\"".$row['cedula']."\",\"".($row['nombres'])."\");' height='20' width='30' alt='Seleccionar' title='Seleccionar'></td>";
          $cadena.="<td>".$row['cedula']."</td><td>".($row['nombres'])."</td></tr>";
      }
      else{
          $cadena.="<td align='center'> <img id='elem1'  class='confirmar' src='../imagenes/boton.png' onClick='mostrar_lista(\"".$id1."\",\"".$id2."\",\"".$row['codigo']."\",\"".($row['descripcion'])."\");' height='20' width='30' alt='Seleccionar' title='Seleccionar'></td>";
          $cadena.="<td>".$row['codigo']."</td><td>".($row['descripcion'])."</td></tr>";          
      }

    }

    $cadena.="</table>";
    echo $cadena;

}

//--------------------------------------------


if ($_POST['accion']=='listado_grado'){

    $id1=$_POST['id1'];
    $id2=$_POST['id2'];
    $sede=$_POST['sede'];
   
    $tabla=$_POST['tabla'];
    $asign = new database();
    $asign->conectar();

    $query=$asign->consulta("select grados.codigo, grados.descripcion from grados inner 
        join cursos on grados.codigo=cursos.grado where cursos.sede='".$sede."' group by grados.codigo order by grados.orden asc;");
    
    
    $asign->disconnect();
    
    $cadena="<table class='hovertable1' border='0' cellspacing='0' cellpadding='0' width='100%'>";

    while($row = $asign->fetch_assoc($query)) {

      $cadena.="<tr>";     
      $cadena.="<td align='center'> <img id='elem1'  class='confirmar' src='../imagenes/boton.png' onClick='mostrar_lista_grado(\"".$id1."\",\"".$id2."\",\"".$row['codigo']."\",\"".($row['descripcion'])."\");' height='20' width='30' alt='Seleccionar' title='Seleccionar'></td>";
      $cadena.="<td>".$row['codigo']."</td><td>".($row['descripcion'])."</td></tr>";          


    }

    $cadena.="</table>";
    echo $cadena;

}

//--------------------------------------------


if ($_POST['accion']=='listado_curso'){

    $id1=$_POST['id1'];
    $id2=$_POST['id2'];

    $tabla=$_POST['tabla'];
    $grado=$_POST['grado'];
    $sede=$_POST['sede'];

    $asign = new database();
    
    $asign->conectar();

    $query=$asign->consulta("select codigo,descripcion from cursos 
	                         where sede='".$sede."' 
							 and grado='".$grado."' 
							 order by orden");

    $cadena="<table class='hovertable1' border='0' cellspacing='0' cellpadding='0' width='100%'>";

    while($row = $asign->fetch_assoc($query)) {

      $cadena.="<tr>";

      $cadena.="<td align='center'> <img id='elem1'  class='confirmar' src='../imagenes/boton.png' onClick='mostrar_lista(\"".$id1."\",\"".$id2."\",\"".$row['codigo']."\",\"".($row['descripcion'])."\");' height='20' width='30' alt='Seleccionar' title='Seleccionar'></td>";
      $cadena.="<td>".$row['codigo']."</td><td>".($row['descripcion'])."</td></tr>";

    }

    $cadena.="</table>";
    echo $cadena;

    $asign->disconnect();

}

//-------------------------------------------
if ($_POST['accion']=='listado_jornada'){

    $sede=$_POST['sede'];
    $grado=$_POST['grado'];
    $curso=$_POST['curso'];

    $asign = new database();
    $asign->conectar();

    $query=$asign->consulta("select cursos.jornada, jornadas.descripcion from jornadas inner join cursos on jornadas.codigo = cursos.jornada where cursos.sede='".$sede."' and cursos.grado='".$grado."' and cursos.codigo='".$curso."'");


    $n=$asign->numero_de_filas($query);

    if ($n!=0){
        $row = $asign->fetch_assoc($query);
        echo $row['jornada']."_".($row['descripcion']);
    }
    else{
        echo "NO EXISTE";
    }

    $asign->disconnect();


}

//--------------------------------------------

if ($_POST['accion']=='grabar_nuevo_codigo'){

    $codigo=$_POST['codigo'];
    $nuevo=$_POST['nuevo'];

    $obj = new database();
    $obj->conectar();
     
    $obj->consulta("UPDATE matriculas SET codigo1='".$nuevo."' WHERE codigo='".$codigo."'");
    $obj->disconnect();
}

//----------------------------------------

if ($_POST['accion']=='fotos_verificar'){

    $grado=$_POST['grado'];
    $curso=$_POST['curso'];
    
    $obj = new database();
    $obj->conectar();
    
    $cadena="select matriculas.codigo,matriculas.codigo1, alumnos.p_apellido, alumnos.s_apellido, alumnos.p_nombre, alumnos.s_nombre, profesores.nombres from profesores inner join (cursos inner join (titulares inner join (alumnos inner join matriculas 
             on alumnos.codigo = matriculas.codigo) on (titulares.grado = matriculas.grado) and (titulares.curso = matriculas.curso)) on (cursos.codigo = matriculas.curso) and (cursos.grado = matriculas.grado)) on profesores.cedula = titulares.profesor 
             where (((matriculas.grado)='".$grado."') and ((matriculas.curso)='".$curso."') and ((matriculas.estado)='A'))order by p_apellido,s_apellido,p_nombre,s_nombre";
    
   $cadena=$obj->consulta($cadena);



   $desgrado1=$obj->consulta("select * from grados where codigo='".$grado."';");
   $desgrado = $obj->fetch_assoc($desgrado1);

   $descurso1=$obj->consulta("select * from cursos where codigo='".$curso."' and grado='".$grado."';");
   $descurso = $obj->fetch_assoc($descurso1);
   
   $desjor1=$obj->consulta("select * from jornadas where codigo='".$descurso['jornada']."';");
   $desjor = $obj->fetch_assoc($desjor1);
   
   $dessede1=$obj->consulta("select * from sedes where codigo='".$descurso['sede']."';");
   $dessede = $obj->fetch_assoc($dessede1);

$s="<br><center>
<table width='60%' align='center' border='1' >

<tr style='font-size:12px'>
<td colspan='8'>".($dessede['descripcion'])."</td>
</tr>

<tr style='font-size:12px'>

    <td><B>GRADO:</B></td>
    <td>&nbsp;".$desgrado['descripcion']."</td>

    <td><B>CURSO:</B></td>
    <td>&nbsp;".$descurso['codigo']." - ". $descurso['descripcion']."</td>


    <td><B>A&Ntilde;O LECTIVO:</B></td>
    <td>".date('Y')."</td>

    <td><B>JORNADA:</B></td>
    <td>".($desjor['descripcion'])."</td>
</tr>

</table>
</center><br><br>

    <TABLE border=0>
        <tr>";
        
    $e=1;
    $p=1;
    while($row = $obj->fetch_assoc($cadena)){                 
        
        if ($e%6==0){
            $s.="<tr>";
            $e=1;
        }        
        
        $nombre_fichero1= "../fotos/".$row['codigo'].".JPG";
        $nombre_fichero2= "../fotos/".$row['codigo'].".jpg";
        
        $nombres=("<BR>".$row['codigo']."
                 
                 <input style='border-radius:15px;font-size:10px;font-weight:bold;text-align:center;background-color:yellow;color:#FF0000;'  type='text' VALUE='".$row['codigo1']."' onBlur=\"grabar_codigo(".$row['codigo'].")\" id='NUEVO_".$row['codigo']."' size='12'>
                 <BR>
                 ".$row['p_apellido']." ".$row['s_apellido']."<BR>".$row['p_nombre']." ".$row['s_nombre']);
                            
        if (file_exists($nombre_fichero1))
           $s.="<TD align='center' style='font-size:10px;font-weight: bold;'>&nbsp;&nbsp;<img src='../fotos/".$row['codigo'].".JPG'  height='160' width='130'>".$nombres."<br><br><br>&nbsp;</TD>";
          
        elseif (file_exists($nombre_fichero2))
            $s.="<TD align='center' style='font-size:10px;font-weight: bold;'>&nbsp;&nbsp;<img src='../fotos/".$row['codigo'].".jpg'  height='160' width='130'>".$nombres."<br><br><br>&nbsp;</TD>";
        else
           $s.="<TD align='center' style='font-size:10px;font-weight: bold;'>&nbsp;&nbsp;<img src='../fotos/SIN_FOTO.JPG'  height='160' width='130'>".$nombres."<br><br><br>&nbsp;</TD>";

        $nombre_fichero1='';
        $nombre_fichero2='';
        
        $p++;
        if ($p==6){
            $s.="</tr>";
            $p=1;
        }
    
        $e++;
                
    }
    
    if ($p<6)
        $s.="</tr>";
   
    $s.="</TABLE>";
    
    echo $s;    
    $obj->disconnect();
    
}

?>